using System;
using System.Xml;
using System.Collections.Generic;
using System.Text;

namespace XpathDemo
{
   class Program
   {
      static void Main(string[] args)
      {
         XmlDocument docItems = new XmlDocument();
         docItems.Load(@"..\..\..\..\przedmioty.xml");
         XmlNodeList allItems = docItems.SelectNodes("/items/item");
         Console.WriteLine("Znalezionych przedmiotów: {0}", allItems.Count);

         XmlNode thirdItem = docItems.SelectSingleNode("/items/item[2]");
         Console.WriteLine("Trzecim węzłem jest {0}", thirdItem.Attributes["name"].Value);

         Console.ReadLine();
      }
   }
}
